package editor;
import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

/**
 * Handles and prints all errors arising from the validation of an XML file.
 * @author hqcasanova
 * 
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this file,
 * You can obtain one at http://mozilla.org/MPL/2.0/.
 */
public class XMLErrorHandler implements ErrorHandler {
    public void warning (SAXParseException e) throws SAXException {
        System.out.println (e.getMessage());
    }

    public void error(SAXParseException e) throws SAXException {
        System.out.println (e.getMessage());
    }

    public void fatalError(SAXParseException e) throws SAXException {
        System.out.println (e.getMessage());
    }
}
