package virtual;

import java.awt.Color;
import java.awt.Graphics;

import javax.swing.BorderFactory;
import javax.swing.border.EtchedBorder;

/**
 *
 * @author njerez
 */
@SuppressWarnings("serial")
public class JPanelCuadricula extends javax.swing.JPanel {

    private int iFil;
    private int iCol;

    public JPanelCuadricula() {
        setBackground(Color.WHITE);
        setLayout(null);
        setBorder(BorderFactory.createEtchedBorder(EtchedBorder.RAISED));
    }
 

    @Override
    protected void paintComponent(Graphics g) {
        super.paintComponent(g);
       //Color micolor = new Color (176,196,222);
       //Color micolor = new Color (201,201,255);
        Color micolor = new Color (192,192,192);
        g.setColor (micolor);
        int iAncho = getSize().width;
        int iAlto = getSize().height;
  
       /*PARA CREAR 8 FILAS Y 12 COLUMNAS*/ 
       /* iFil = 8;
        * iCol = 12;
        * for (int i = 0; i <= iCol; i++) {
            g.drawLine(iAncho / iCol * i, 0, iAncho / iCol * i, iAlto);
        }
        for (int i = 0; i <= iFil; i++) {
            g.drawLine(0, iAlto / iFil * i, iAncho, iAlto / iFil * i);
        }*/
        
        
        /* PARA CREAR FILAS Y COLUMNAS QUE FORMEN CUADRADOS DE 105X105*/
        iFil = iAlto/105;
        iCol = iAncho/105;
        
        for (int i = 0; i <= iCol; i++) {
           //g.drawLine(iAncho / iCol * i, 0, iAncho / iCol * i, iAlto);
        	g.drawLine(105*i, 0, 105*i, iAlto);
        }
        for (int i = 0; i <= iFil; i++) {
            g.drawLine(0, 105*i, iAncho, 105*i);
        }
        
       
    }

    
}
